Subject: Re: [OPSAWG] draft-claise-energy-monitoring-mib

From: Benoit Claise <[email-masked]>
Date: Tue, 17 Aug 2010 14:18:18 +0200

Dear Anthony,
> Dear Anthony,
>
>> All,
>>
>> We have reviewed the Cisco draft-claise-energy-monitoring-mib and are 
>> providing our feedback. We looked specifically at how well the draft 
>> will support Western Telematic (WTI) Switched PDUs. Overall 
>> impression is that the draft covers our core functionality well both 
>> in terms of power control and power monitoring. We have also reviewed 
>> the NEC draft and have noted a few comparisons.
>>
>> WTI PDUs provide individual outlet level power control and monitoring 
>> for attached devices. This idea directly follows Cisco's parent/child 
>> concept, where the PDU itself is the parent and the attached devices 
>> are the children. The PDU will report power consumption data to the 
>> NMS on behalf of its attached devices that cannot communicate its 
>> consumption data to the network on its own.
>>
>> WTI PDUs also support a proprietary SNMP MIB for power management. 
>> The Cisco draft does allow for the same power control and monitoring 
>> capabilities as the WTI proprietary MIB. Power levels for individual 
>> outlets can be read and configured, and energy use on those outlets 
>> can be queried. WTI PDUs also support control and monitoring of 
>> internally configured outlet groups. Cisco's implementation of the 
>> "keywords"
>>
>> concept allows for the flexibility of taking advantage of those 
>> internally configured groups in addition to single outlets.
>>
>> Standardized power level definitions, as presented in the Cisco 
>> draft, will be more useful for network management than device-defined 
>> power levels, as presented in the NEC draft. Allowing numerous 
>> network devices to define their own set of power levels can make 
>> management difficult for the NMS. An additional note, the NEC draft 
>> appears to only allow for power monitoring, not for control of power 
>> levels on devices.
>>
>> The NEC draft separates the power management MIBs into multiple MIB 
>> modules, whereas Cisco has one centralized module. From an NMS 
>> standpoint that needs to both control power levels and monitor energy 
>> usage at those power levels, it seems like keeping them all in one 
>> central MIB as Cisco has done makes more sense. In addition, adding 
>> support for one centralized MIB can be easier to implement in the 
>> SNMP agent of the supporting devices.
>>
>> The Cisco draft does not support retrieval of voltage data. In 
>> addition to power data, voltage data may be useful in deriving 
>> current data that the NMS may want to monitor (i.e. for alarming 
>> before a circuit breaker is tripped). We recommend adding a way to 
>> retrieve voltage data from the monitored devices.
>>
> This is something we could easily add.
> Thanks for reading both MIB modules and providing feedback.
Coming back to this point, we have pmACPwrQualityAvgVoltage and 
pmACPwrQualityThdVoltage in the POWER-QUALITY-MIB MIB moduleWould you 
need something else

Regards, Benoit.
>
> Regards, Benoit.
>>
>> Anthony Barrera
>>
>> Western Telematic, Inc.
>>
>>
>> _______________________________________________
>> OPSAWG mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/opsawg
>>    
>
>
> _______________________________________________
> OPSAWG mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/opsawg
>